Polygon
Create Redelegate Request
Redelegate tokens from another validator.
POST
/
api
/
v1
/
polygon
/
staking
/
redelegate
Create Redelegate Request
curl --request POST \
--url https://api.p2p.org/api/api/v1/polygon/staking/redelegate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromValidatorId": "12",
"toValidatorId": "18",
"amount": "100000000000000000",
"stakerAddress": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb"
}
'import requests
url = "https://api.p2p.org/api/api/v1/polygon/staking/redelegate"
payload = {
"fromValidatorId": "12",
"toValidatorId": "18",
"amount": "100000000000000000",
"stakerAddress": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromValidatorId: '12',
toValidatorId: '18',
amount: '100000000000000000',
stakerAddress: '0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb'
})
};
fetch('https://api.p2p.org/api/api/v1/polygon/staking/redelegate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"serializeTx": "0x02f902d70580830167...",
"to": "0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb",
"gasLimit": "0",
"data": "",
"value": "0",
"chainId": "0",
"type": "0",
"maxFeePerGas": "0",
"maxPriorityFeePerGas": "0"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
From validator ID.
Example:
"12"
To validator ID.
Example:
"18"
Amount of tokens to delegate, specified in 10^(-18) MATIC
Example:
"100000000000000000"
Staker account address.
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb"
Create Redelegate Request
